      subroutine rpSnapshot(
     &     rho_0,vel_0,pre_0,snd_0,w_0,signif_0,wave_type_0,IsVacuum,
     &     xL,xM,xR,time,labelLgth,label)
      implicit none
      
      include 'wave_constants.h'

c     Input:
      real*8 rho_0(N_STATES),vel_0(N_STATES),pre_0(N_STATES)
      real*8 snd_0(N_STATES)
      real*8 w_0(N_EDGES)
      integer signif_0(N_WAVES),wave_type_0(N_WAVES)
      logical IsVacuum
      real*8 xL,xM,xR,time
      integer labelLgth
      character*80 label
c     Auxiliary:
      integer iWave,dir,iLedge,iRedge,iLstate,iRstate
      real*8 xLedge,xRedge

      call rmOpen(labelLgth,label)
      
c     Leftmost State      
      call rmWrite(rho_0(1),vel_0(1),pre_0(1),snd_0(1),xL)
      do iWave=1,N_WAVES

         dir = WAVE_TO_DIR(iWave)
         iLedge = WAVE_TO_EDGE_L(iWave)
         iRedge = WAVE_TO_EDGE_R(iWave)
         iLstate = WAVE_TO_STATE_L(iWave)
         iRstate = WAVE_TO_STATE_R(iWave)
         xLedge = xM + w_0(iLedge)*time
         xRedge = xM + w_0(iRedge)*time

         call rmWrite(rho_0(iLstate),vel_0(iLstate),pre_0(iLstate),
     &        snd_0(iLstate),xLedge)
         if (wave_type_0(iWave) .eq. RFN) then
            call fanSnapshot(
     &           rho_0(iLstate),vel_0(iLstate),pre_0(iLstate),
     &           snd_0(iLstate),
     &           rho_0(iRstate),vel_0(iRstate),pre_0(iRstate),
     &           snd_0(iRstate),
     &           dir,xM,time)
         endif
         call rmWrite(rho_0(iRstate),vel_0(iRstate),pre_0(iRstate),
     &        snd_0(iRstate),xRedge)
      enddo
c     Rightmost state
      call rmWrite(rho_0(N_STATES),vel_0(N_STATES),pre_0(N_STATES),
     &     snd_0(N_STATES),xR)

      call rmClose()

      end
