% 
% Written by:
% -- 
% John L. Weatherwax                2006-05-09
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

close all; 

if( 0 ) 
xp = load( 'xp_test.dat' ); 
figure; plot( xp(:,1), xp(:,2), '-o' );  
xlabel( 'x' ); ylabel( 'Pressure' ); 
axis( [-1 +1 0.8 3.2 ] ); 
saveas( gcf, 'xp_test.jpg', 'jpg' ); 

xr = load( 'xr_test.dat' ); 
figure; plot( xr(:,1), xr(:,2), '-o' );  
xlabel( 'x' ); ylabel( 'Density' ); 
axis( [-1 +1 0.8 3.2 ] ); 
saveas( gcf, 'xr_test.jpg', 'jpg' ); 

xv = load( 'xv_test.dat' ); 
figure; plot( xv(:,1), xv(:,2), '-o' );  
xlabel( 'x' ); ylabel( 'Velocity' ); 
saveas( gcf, 'xv_test.jpg', 'jpg' ); 
end

[pu_center,pu]=readWC('pu_curv_l_test.dat'); 
figure; plot( pu(:,1), pu(:,2), '-bo' ); hold on; 
plot( pu_center(1), pu_center(2), 'o', 'MarkerSize', 8, ...
      'MarkerFaceColor', 'k', 'MarkerEdgeColor', 'b' ); 

[pu_center,pu]=readWC('pu_curv_r_test.dat'); 
plot( pu(:,1), pu(:,2), '-ro' );
plot( pu_center(1), pu_center(2), 'o', 'MarkerSize', 8, ...
      'MarkerFaceColor', 'k', 'MarkerEdgeColor', 'r' ); 
xlabel('pressure'); ylabel('velocity'); 
axis( [ 0 30 -6 4 ] ); 
grid on; 
saveas( gcf, 'pu_curv.jpg', 'jpg' ); 


