      subroutine fanSnapshot(
     &     rhoL,velL,preL,sndL,
     &     rhoR,velR,preR,sndR,
     &     dir,xM,time)
      implicit none

c     Input:
      real*8 rhoL,velL,preL,sndL
      real*8 rhoR,velR,preR,sndR
      real*8 xM,time
      integer dir
c     Output:
      real*8 x,rho,vel,pre,snd
c     Auxiliary:
      integer Npoints,i
      parameter (Npoints = 100)
      real*8 invParalL,invParalR,invParal,invCrossL,invCrossR,invCross
      real*8 invEntrL,invEntrR,invEntr
      real*8 dInvParal
      integer dirCross
      real*8 st2inv,thermSt2invEntr,veljump2vel
c----

      invParalL = st2inv(velL,sndL,dir)
      invParalR = st2inv(velR,sndR,dir)

      dirCross = -dir
      invCrossL = st2inv(velL,sndL,dirCross)
      invCrossR = st2inv(velR,sndR,dirCross)

      invCross = 0.5d0*(invCrossL+invCrossR)

      invEntrL =  thermSt2invEntr(rhoL,preL)
      invEntrR =  thermSt2invEntr(rhoR,preR)

      invEntr = 0.5d0*(invEntrL+invEntrR)

      dInvParal = (invParalR - invParalL)/Npoints

      do i=0,Npoints
         invParal = invParalL + dInvParal*i

         call inv2st(invCross,invEntr,invParal, dir, rho,vel,pre,snd)
         
         x = xM + veljump2vel(vel,snd,dir)*time

         call rmWrite(rho,vel,pre,snd,x)
      enddo

      end
