      program testPrintWC
      implicit none

      include 'parameters.h'
      include 'input_output.h'
      include 'wave_constants.h'

c     Input:
      real*8 rho,vel,pre
      integer dir,centSide
      integer labelLgth
      character*80 label
      character*80 centSideCh
c     Auxiliary:
      real*8 snd
      real*8 preWC_min,preWC_max
      real*8 thermSt2snd

      call readEOSConst()

      open(fid,file='waveCurve.inp',status='old')
      read(fid,*) rho,vel,pre,dir,centSideCh,label
      close(fid)

      snd = thermSt2snd(rho,pre)

      if (centSideCh(1:1).eq.'A' .or. centSideCh(1:1).eq.'a') then
         centSide=+1
      elseif (centSideCh(1:1).eq.'B' .or. centSideCh(1:1).eq.'b') then
         centSide=-1
      else
         stop 'centSideCh must start with either A or B'  
      endif

      write(*,*) rho,vel,pre,dir,centSide
      write(*,*)

      labelLgth = index(label,' ')-1

      preWC_min = 1d1*pre_min
      preWC_max = 20.d0*pre

      call printWC(rho,vel,pre,snd,dir,centSide,
     &        preWC_min,preWC_max,labelLgth,label)

      end
